settings.logAddedRecipes = true
settings.logRemovedRecipes = true

events.listen('recipes', function (event) {


    event.remove({id: 'minecraft:furnace'})
    event.remove({id: 'ceramics:unfired_porcelain'})
    event.remove({id: 'clickmachine:auto_clicker'})
    event.remove({id: 'mekanism:transmitter/universal_cable/basic'})
    event.remove({id: 'exnihilosequentia:end_cake'})
    event.remove({id: 'factory:factory'})
    event.remove({id: 'minecraft:flint_and_steel'})
    event.remove({id: 'mysticalagriculture:infusion_crystal'})
    event.remove({id: 'mysticalagriculture:infusion_altar'})



    event.recipes.minecraft.stonecutting(item.of('mekanism:dust_coal', 1), 'minecraft:coal')

    event.shapeless(item.of('minecraft:flint_and_steel', 1), ['minecraft:flint', '#forge:ingots/steel'])

    event.shaped(item.of('mysticalagriculture:prosperity_shard', 1), [' S ','SMS',' S '], 
   {
    S: 'mysticalagriculture:soulium_dust',
    M: '#forge:ingots/illumenite'
  })

    event.shaped(item.of('mysticalagriculture:inferium_essence', 1), [' S ','SMS',' S '], 
   {
    S: 'mysticalagriculture:soulium_dust',
    M: '#forge:ingots/malachite'
  })

    event.shaped(item.of('mysticalagriculture:infusion_crystal', 1), ['IFI','MAM','GFG'], 
   {
    I: '#forge:ingots/illumenite',
    F: '#forge:ingots/fyrite',
    M: '#forge:ingots/malachite',
    A: 'netherrocks:ashstone_gem',
    G: '#forge:ingots/argonite'
  })

    event.shaped(item.of('mysticalagriculture:infusion_altar', 1), ['GDG','RSR','SSS'], 
   {
    G: '#forge:ingots/gold',
    D: 'netherrocks:dragonstone_gem',
    R: 'minecraft:red_carpet',
    S: 'minecraft:stone'
  })

    event.shaped(item.of('factory:factory', 1), [' C ','CSC',' C '], 
   {
    C: 'minecraft:crafting_table',
    S: 'craftingstation:crafting_station'
  })

    event.shaped(item.of('mekanism:basic_universal_cable', 8), ['   ','DOD','   '], 
   {
    O: '#forge:dusts/redstone',
    D: '#forge:ingots/iron'
  })

    event.shaped(item.of('clickmachine:auto_clicker', 1), ['DDD','DOD','DRD'], 
   {
    O: 'minecraft:obsidian',
    D: 'minecraft:diorite',
    R: '#forge:storage_blocks/redstone'
  })

    event.shaped(item.of('minecraft:black_dye', 1), ['C'], 
   {
    C: 'mekanism:dust_coal'
  })

    event.shaped(item.of('ceramics:unfired_porcelain', 1), ['C'], 
   {
    C: 'exnihilosequentia:porcelain_clay'
  })

    event.shaped(item.of('minecraft:furnace', 1), ['CCC','CFC','CCC'], 
   {
    C: '#forge:cobblestone',
    F: 'minecraft:campfire'
  })










})